/*
	ExternalInterface test code for GNU Flash Player
	Written (2016) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
	
	Released to public domain under Creative Commons Zero 1.0
	(https://creativecommons.org/publicdomain/zero/1.0/)
	
	Once this Flash code is run, it tries to call JavaScript function named
	"exception_call" and shows its return value.
*/
import flash.external.ExternalInterface;

class Flash2JSException {
	public static function main(mc:MovieClip):Void {
		var retval;
		
		if(!ExternalInterface.available) {
			trace("caller: ExternalInterface is unavailable, aborting");
			return;
		}
		
		try {
			retval = ExternalInterface.call("exception_call");
			trace("caller: JavaScript\'s exception_call() returned type " + typeof(retval) + ", value: " + retval);
		} catch(e) {
			trace("caller: error occured: " + e);
		}
	}
}
